Package wx :: Module html :: Class HtmlBookRecord

[frames | no frames]

## Type HtmlBookRecord

    object --+
             |
            HtmlBookRecord

Proxy of C++ HtmlBookRecord class

Method Summary
HtmlBookRecord | `__init__(self, bookfile, basepath, title, start)`
String | `GetBasePath(self)`
String | `GetBookFile(self)`
int | `GetContentsEnd(self)`
int | `GetContentsStart(self)`
String | `GetFullPath(self, page)`
String | `GetStart(self)`
String | `GetTitle(self)`
| `SetBasePath(self, path)`
| `SetContentsRange(self, start, end)`
| `SetStart(self, start)`
| `SetTitle(self, title)`

Property Summary
| `BasePath`: See `GetBasePath` and `SetBasePath`
| `BookFile`: See `GetBookFile`
| `ContentsEnd`: See `GetContentsEnd`
| `ContentsStart`: See `GetContentsStart`
| `FullPath`: See `GetFullPath`
| `Start`: See `GetStart` and `SetStart`
| `thisown`: The membership flag
| `Title`: See `GetTitle` and `SetTitle`

Property Details

### BasePath

See `GetBasePath` and `SetBasePath`

  Get Method:
    `GetBasePath`(self)
  Set Method:
    `SetBasePath`(self, path)

### BookFile

See `GetBookFile`

  Get Method:
    `GetBookFile`(self)

### ContentsEnd

See `GetContentsEnd`

  Get Method:
    `GetContentsEnd`(self)

### ContentsStart

See `GetContentsStart`

  Get Method:
    `GetContentsStart`(self)

### FullPath

See `GetFullPath`

  Get Method:
    `GetFullPath`(self, page)

### Start

See `GetStart` and `SetStart`

  Get Method:
    `GetStart`(self)
  Set Method:
    `SetStart`(self, start)

### thisown

The membership flag

  Get Method:
    unknown--1218990716(...)
  Set Method:
    unknown--1218990660(...)

### Title

See `GetTitle` and `SetTitle`

  Get Method:
    `GetTitle`(self)
  Set Method:
    `SetTitle`(self, title)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:30 2007 | http://epydoc.sf.net